import FuncMain from './Functions/FuncMain';
import FuncDataMeter from './Functions/LevelAFunctions/FuncDataMeter';
import FuncLogin from './Functions/LevelAFunctions/FuncLogin';
import FuncMap from './Functions/LevelAFunctions/FuncMap';
import FuncPlatformMenu from './Functions/LevelAFunctions/FuncPlatformMenu';
import FuncProjectSelection from './Functions/LevelAFunctions/FuncProjectSelection';
import FuncPageMenu from './Functions/LevelAFunctions/FuncPageMenu';
class Os {
  funcMain: FuncMain;
  funcLogin: FuncLogin;
  funcPlatformMenu: FuncPlatformMenu;
  funcMap: FuncMap;
  funcProjectSelection: FuncProjectSelection;

  funcDataMeter: FuncDataMeter;

  funcPageMenu: FuncPageMenu;

  constructor() {
    this.funcMain = new FuncMain('FuncMain');
    this.funcLogin = new FuncLogin('FuncLogin');
    this.funcPlatformMenu = new FuncPlatformMenu('FuncPlatformMenu');
    this.funcMap = new FuncMap('FuncMap');
    this.funcProjectSelection = new FuncProjectSelection(
      'FuncProjectSelection',
    );

    this.funcDataMeter = new FuncDataMeter('FuncDataMeter');
    this.funcPageMenu = new FuncPageMenu("FuncPageMenu");
  }
}

export default Os;
